<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:orientation="vertical" >
    
    <ImageButton
        android:id="@+id/btnRetry"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="15dp"
        android:text="@string/szRetry"
        android:onClick="onRetryConnect"
        android:visibility="gone"
        android:contentDescription="@string/szRetry"
        android:src="@drawable/ic_menu_refresh"
    />
    
    <ProgressBar
        android:id="@+id/pbLoading"        
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        style="@android:style/Widget.ProgressBar.Large"
        android:visibility="visible"
     />
    
    <TextView
        android:id="@+id/txtNoResults"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:visibility="gone"
        android:text="@string/szNoResults"
        />
        
      <ListView
          android:id="@+id/listProperties"
          android:layout_width="fill_parent" 
          android:layout_height="fill_parent"
          android:visibility="gone"
      />
    
     <SlidingDrawer
	     android:id="@+id/drawer"
	     android:layout_width="fill_parent"
	     android:layout_height="wrap_content"
	     android:allowSingleTap="true"
	     android:topOffset="100dp"
	     android:handle="@+id/handle"
	     android:content="@+id/search">

         <!-- SLIDE HANDLE -->
	     <ImageView
	         android:id="@id/handle"
	         android:src="@drawable/ic_tab_search_white"
	         android:layout_width="88dip"
	         android:layout_height="44dip"
	         android:contentDescription="@string/app_name"
	         android:background="#000"
	     />
	     
	     <!-- Search form is scrollable -->
	     <ScrollView 
            android:id="@+id/search"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            >
	     
	         <!-- SEARCH FORM -->
		     <TableLayout
		         android:layout_width="fill_parent"
		         android:layout_height="wrap_content"
		         android:background="#000"
		         android:padding="5dp"
		         android:stretchColumns="1"
		         >
		         
		         <!-- PRICE -->
		         <TableRow
	                 android:layout_width="fill_parent"
	                 android:layout_height="wrap_content"
	                 android:gravity="center_vertical"
	                 >
	   	             <TextView
		                 android:text="@string/szPrice"
	                     android:textColor="@android:color/white"
	                     android:textStyle="bold"
		                 />
	   	             
	   	             <LinearLayout
	   	                 android:layout_width="fill_parent"
	   	                 android:layout_height="wrap_content"
	   	                 android:gravity="left"
	   	                 android:layout_marginLeft="10dp"
	   	                 >
				     <Spinner 
				         android:id="@+id/price_spinner"
				         android:layout_width="100dp"
				         android:layout_height="wrap_content"
				         android:drawSelectorOnTop="true"
				         android:prompt="@string/szPricePrompt"
				     />
	                 <EditText
	                     android:id="@+id/editPrice"
	                     android:layout_width="100dp"
	                     android:layout_height="wrap_content"
	                     android:inputType="number"
	                     android:width="100dp"
	                     android:layout_marginLeft="10dp"
	                     />
	                 </LinearLayout>
	   	         </TableRow>
	   	         
		         <!-- BEDROOMS -->
	             <TableRow
	                 android:layout_width="fill_parent"
	                 android:layout_height="wrap_content"
	                 android:gravity="center_vertical"
	                 >
	                 <TextView
	                     android:text="@string/szBedrooms"
	                     android:textColor="@android:color/white"
	                     android:textStyle="bold"
	                     />
	                 
	                 <LinearLayout
	                     android:layout_width="fill_parent"
	                     android:layout_height="wrap_content"
	                     android:gravity="left"
	                     android:layout_marginLeft="0dp"
	                     >
		                 <EditText
		                     android:id="@+id/editBedrooms"
		                     android:layout_width="100dp"
		                     android:layout_height="wrap_content"
		                     android:inputType="number"
		                     android:width="100dp"
		                     android:layout_marginLeft="10dp"
		                     />
	                 </LinearLayout>
	             </TableRow>
	             
                 <!-- RATING -->
                 <TableRow 
                     android:layout_width="fill_parent"
                     android:layout_height="wrap_content"
                     >
                     <TextView
                         android:text="@string/szRating"
                         android:textColor="@android:color/white"
                         android:textStyle="bold"
                         />
                     <!-- Prevents RatingBar from stretching -->
                     <LinearLayout 
                         android:layout_width="fill_parent"
                         android:layout_height="wrap_content"
                         android:gravity="bottom"
                         android:layout_marginTop="5dp"
                         android:layout_marginLeft="10dp"
                         >
	                     <RatingBar 
	                         android:id="@+id/searchRating"
	                         android:numStars="5"
	                         android:rating="0"
	                         android:stepSize="1.0"
	                         android:isIndicator="false"
	                         android:max="5"
	                         android:progress="0"
	                         android:layout_width="wrap_content"
	                         android:layout_height="wrap_content"
	                         style="?android:attr/ratingBarStyleSmall"
	                         />
                     </LinearLayout>
                 </TableRow>

	             
	             <!-- SEARCH BUTTON -->
	             <TableRow
	                 android:layout_width="fill_parent"
	                 android:layout_height="wrap_content"
	                 android:gravity="center_vertical"
	                 android:layout_marginTop="15dp"
	                 >
	                 <LinearLayout
	                     android:layout_width="fill_parent"
	                     android:layout_height="wrap_content"
	                     android:gravity="center"
	                     android:layout_span="3" 
	                     >
		                 <!-- SEARCH BUTTON -->
		                 <Button
		                     android:id="@+id/btnSearch2"
		                     android:layout_width="wrap_content"
		                     android:layout_height="wrap_content"
		                     android:paddingLeft="15dp"
		                     android:paddingRight="15dp"
		                     android:paddingBottom="5dp"
		                     android:text="@string/szSearch"
		                     android:textStyle="bold"
		                     android:textSize="18dp"
		                     android:onClick="btnSearchClicked"
		                     />
	                 </LinearLayout>
	             </TableRow>
	   	     </TableLayout>
        </ScrollView>
	     	     
       </SlidingDrawer>
    
    


</RelativeLayout>